<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div ng-repeat="group in $ctrl.model.or">
    <div class="box box-default box-sm box-solid box-filters">
        <div class="box-header with-border">
            <h4 class="box-title"><span class="fa fa-filter"></span> {{ "label.filters" | translate }}</h4>
        </div>
        <!-- -->
        <div class="box-body">
            <form>
                <div class="form-group" ng-repeat="def in group.and" ng-init="filter = $ctrl.loadFilter(def)">
                    <label>
                        <a href="" ng-click="$ctrl.removeFilter(def)" class="filter-delete pull-right"><i class="fa fa-times" title="{{ 'label.remove_filter' | translate }}"></i></a>
                        <span title="{{ filter.property.getUri() }}">{{ filter.property.getPreferedLabel() }}</span>
                    </label>
                    <property-filter-input property="filter.property" type="filter.type" ng-model="filter.params.value" types="$ctrl.types"></property-filter-input>
                    <span class="help-block" title="POI > {{ filter.path }}">POI &gt; {{ filter.path }}</span>
                </div>
            </form>
        </div>
        <!-- -->
        <div class="box-footer">
            <a href="" ng-click="$ctrl.addFilter(group)"><span class="fa fa-plus"></span> {{ 'btn.add_filter' | translate }}</a>
        </div>
    </div>
</div>